org.apache.maven.scm.provider.perforce.command.edit

## Class PerforceEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.edit.AbstractEditCommand
    - - org.apache.maven.scm.provider.perforce.command.edit.PerforceEditCommand

All Implemented Interfaces:
  Command, PerforceCommand

    public class PerforceEditCommand
    extends AbstractEditCommand
    implements PerforceCommand

Version:
  $Id: PerforceEditCommand.java 691823 2008-09-03 23:15:13Z vsiveton $
Author:
  Mike Perham

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PerforceEditCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(PerforceScmProviderRepository repo, File workingDirectory, ScmFileSet files)`
`protected ScmResult` `executeEditCommand(ScmProviderRepository repo, ScmFileSet files)`

### Methods inherited from class org.apache.maven.scm.command.edit.AbstractEditCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceEditCommand

    public PerforceEditCommand()

### Method Detail

#### executeEditCommand

    protected ScmResult executeEditCommand(ScmProviderRepository repo,
                               ScmFileSet files)
                                    throws ScmException

Specified by:
  `executeEditCommand` in class `AbstractEditCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(PerforceScmProviderRepository repo,
                                                             File workingDirectory,
                                                             ScmFileSet files)